## Geothermal Power Plant

Beaver civilization has now entered the machine age! Factories here and there are producing large quantities of goods, and the demand for energy is higher than ever. By the way, don't you have a surplus of underground ruins?

This mod adds a geothermal power plant to be built on top of the underground ruins, and a cooling tower.

It should bring a challenge to the end game.

There are currently two facilities.

### Hot Dry Rock Geothermal Turbine

This facility consumes vast amounts of water to produce energy. It can be built only on top of underground ruins. Make sure there is enough water and pumps nearby. No water? Well then...I guess it's time to remind you that you are a beaver. By the way, the underground ruins were used by humans for deep geological disposal (headcanon), so beavers suffer from radiation damage. A sufficiently high level of happiness would offset this.

![HotDryRockGeothermalTurbine](https://github.com/minorunara/TimberbornMods/blob/main/GeothermalPowerPlant/attachments/HotDryRockGeothermalTurbine.png?raw=true)

### Cooling Tower

This facility consumes metal blocks, treated planks and energy to produce water. It can only be built on top of a Hot Dry Rock Geothermal Turbine (note the orientation).

![CoolingTower](https://github.com/minorunara/TimberbornMods/blob/main/GeothermalPowerPlant/attachments/CoolingTower.png?raw=true)

## Disclaimer!

This mod is currently only supported in Timberborn version 0.2.4.0. Other versions will probably not work (and may crash the game).

## Install

If you install manually, put the downloaded folder in the folder where Timberborn.exe is located \BepInEx\plugins\

Remember that you will also need to install any mods that are dependencies.

## How to use

You should find under the Power tab.

## License

This mod was made from Elec's ExtendedArchitecture, so the license follows the original mod.

https://github.com/Timberborn-Modding-Central/ExtendedArchitecture/tree/main/Assets/ExtendedArchitecture

## Known Issues

Cooling towers can produce water even if the geothermal plant was not in operation.

Trying to connect straight power shafts may cause them to change direction. Use otherwise.

The metal texture is wrong.

At certain points in a Hot Dry Rock Geothermal Turbine, something other than a cooling tower can be built. This is intentional to connect the cooling towers to the Hot Dry Rock Geothermal Turbine.

A bridge can be built through the chimney.

Beavers can walk through the top of the Hot Dry Rock Geothermal Turbine.

## Changelog

### 1.0.0 Target game version is (0.2.4.0) - 2022/08/12

Released
